Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.metadata.olap.domain.client
Class MondrianConnectionImpl

    java.lang.Object
      com.jaspersoft.jasperserver.api.metadata.common.domain.client.ResourceImpl
          com.jaspersoft.jasperserver.api.metadata.olap.domain.client.OlapClientConnectionImpl
              com.jaspersoft.jasperserver.api.metadata.olap.domain.client.MondrianConnectionImpl

All Implemented Interfaces:
  AttributedObject, DataSource, InternalURI, Resource, ReportDataSource, MondrianConnection, OlapClientConnection, java.io.Serializable, org.acegisecurity.acl.basic.AclObjectIdentity

    public class MondrianConnectionImpl

extends OlapClientConnectionImpl
implements MondrianConnection

Author:
  swood
See Also:
  Serialized Form

Constructor Summary
`MondrianConnectionImpl()`

Method Summary
`ResourceReference` | `getDataSource()`
`protected java.lang.Class` | `getImplementingItf()`
`ResourceReference` | `getSchema()`
`void` | `setDataSource(ReportDataSource dataSource)`
`void` | `setDataSource(ResourceReference dataSource)`
`void` | `setDataSourceReference(java.lang.String referenceURI)`
`void` | `setSchema(FileResource schema)`
`void` | `setSchema(ResourceReference schema)`
`void` | `setSchemaReference(java.lang.String referenceURI)`

Methods inherited from class com.jaspersoft.jasperserver.api.metadata.common.domain.client.ResourceImpl
`getAttributes, getCreationDate, getDescription, getLabel, getName, getParentFolder, getParentPath, getParentURI, getPath, getProtocol, getResourceType, getURI, getURIString, getVersion, isNew, setAttributes, setCreationDate, setDescription, setLabel, setName, setParentFolder, setParentFolder, setURIString, setVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MondrianConnectionImpl

    public MondrianConnectionImpl()

Method Detail

### getDataSource

    public ResourceReference getDataSource()

  Specified by:
    `getDataSource` in interface `MondrianConnection`

### getSchema

    public ResourceReference getSchema()

  Specified by:
    `getSchema` in interface `MondrianConnection`

### setDataSource

    public void setDataSource(ReportDataSource dataSource)

  Specified by:
    `setDataSource` in interface `MondrianConnection`

### setDataSourceReference

    public void setDataSourceReference(java.lang.String referenceURI)

  Specified by:
    `setDataSourceReference` in interface `MondrianConnection`

### setDataSource

    public void setDataSource(ResourceReference dataSource)

  Specified by:
    `setDataSource` in interface `MondrianConnection`

### setSchema

    public void setSchema(ResourceReference schema)

  Specified by:
    `setSchema` in interface `MondrianConnection`

### setSchema

    public void setSchema(FileResource schema)

  Specified by:
    `setSchema` in interface `MondrianConnection`

### setSchemaReference

    public void setSchemaReference(java.lang.String referenceURI)

  Specified by:
    `setSchemaReference` in interface `MondrianConnection`

### getImplementingItf

    protected java.lang.Class getImplementingItf()

  Specified by:
    `getImplementingItf` in class `ResourceImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.